Skip to main content
POST
/
v1
/
leads
/
enquiries
/
{id}
Update an enquiry
curl --request POST \
  --url https://api.yorlet.com/v1/leads/enquiries/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "[email protected]",
  "phone": "<string>",
  "name": "<string>",
  "qualification": {
    "answers": {
      "budget": 123,
      "household_occupants": 123,
      "household_has_children": true,
      "has_pets": true,
      "pet_types": [],
      "pet_details": "<string>",
      "employer_name": "<string>",
      "is_smoker": true,
      "reason_for_moving": "<string>",
      "current_landlord_name": "<string>",
      "current_landlord_contact": "<string>",
      "has_right_to_rent": true,
      "has_guarantor": true
    },
    "custom_answers": [
      {
        "id": "<string>",
        "value": "<string>"
      }
    ]
  },
  "metadata": {}
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "leads.enquiry",
  "email": "<string>",
  "name": "<string>",
  "phone": "<string>",
  "qualification_configuration": {
    "id": "<string>",
    "created": 123,
    "object": "leads.qualification_configuration",
    "active": true,
    "after_completion": {
      "hosted_confirmation": {
        "custom_message": "<string>"
      },
      "redirect": {
        "url": "<string>"
      }
    },
    "default": true,
    "description": "<string>",
    "hosted_qualification_url": "<string>",
    "name": "<string>",
    "questions": {
      "move_in_date": {
        "enabled": true,
        "required": false
      },
      "budget": {
        "enabled": true,
        "required": false,
        "min_budget": null,
        "max_budget": null
      },
      "household": {
        "enabled": true,
        "required": false,
        "ask_occupants": true,
        "ask_children": false,
        "max_occupants": null
      },
      "pets": {
        "enabled": true,
        "required": false,
        "allowed": true,
        "allowed_types": null,
        "max_pets": null
      },
      "employment": {
        "enabled": true,
        "required": false,
        "ask_employer": false,
        "ask_income": false,
        "accepted_statuses": [
          "employed",
          "self_employed",
          "student",
          "retired",
          "benefits",
          "other"
        ]
      },
      "smoking": {
        "enabled": false,
        "required": false,
        "non_smokers_only": false
      },
      "current_situation": {
        "enabled": false,
        "required": false,
        "ask_reason_for_moving": false,
        "ask_current_landlord": false
      },
      "right_to_rent": {
        "enabled": false,
        "required": false
      },
      "guarantor": {
        "enabled": false,
        "required": false
      }
    },
    "custom_questions": [
      {
        "id": "<string>",
        "label": "<string>",
        "options": [
          "<string>"
        ],
        "required": false
      }
    ],
    "account": "<string>",
    "deleted": false,
    "metadata": {}
  },
  "qualification": {
    "answers": {
      "budget": 123,
      "household_occupants": 123,
      "household_has_children": true,
      "has_pets": true,
      "pet_types": [],
      "pet_details": "<string>",
      "employer_name": "<string>",
      "is_smoker": true,
      "reason_for_moving": "<string>",
      "current_landlord_name": "<string>",
      "current_landlord_contact": "<string>",
      "has_right_to_rent": true,
      "has_guarantor": true
    },
    "custom_answers": [
      {
        "id": "<string>",
        "label": "<string>",
        "value": "<string>"
      }
    ],
    "reason": "<string>",
    "score": 123
  },
  "referral": {
    "ip_address": "<string>",
    "user_agent": "<string>"
  },
  "account": "<string>",
  "deleted": false,
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
email
string<email> | null

The enquirer's email address.

phone
string | null

The enquirer's phone number.

name
string | null

The enquirer's full name.

qualification
object

Updated qualification data for the enquiry.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

Response

200 - application/json

Returns the enquiry object if the update succeeded.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
leads.enquiry
email
string | null
required

The enquirer's email address.

name
string | null
required

The enquirer's full name.

phone
string | null
required

The enquirer's phone number.

qualification_configuration
required

The qualification configuration the enquiry was submitted against, if any.

qualification
object
required

The qualification data captured for this enquiry.

referral
object
required

Referral metadata captured when the enquiry was submitted.

status
enum<string>
required

The status of the enquiry.

Available options:
new,
pending,
qualified,
disqualified
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.